## Function `parseInts( str )`

Description:
  Attempts to interpret a string as an array of integer values. An ad-hoc algorithm is used that tries to extract a list of integers from a string; a comma- or space-separated list of integer values will work, and other formats may or may not.

  The details of this function's behaviour may change in future releases.

Parameters:
  `str` (String)
    string containing a list of integer values

Return Value (array of integer):
  array of integer values

Examples:
  - `parseInts("9 8 -23") = [9, 8, -23]`
  - `parseInts("tiddly-pom") = []`

Signature:
  `int[] parseInts(String)`